List current user's memberships
List all organizations the current user is a member of, including role, type, and logo. Used for org switching.
List all organizations the current user is a member of, including role, type, and logo. Used for org switching.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Response Body
application/json
curl -X GET "https://example.com/organization/my-memberships"{ "memberships": [ { "organizationId": "string", "organizationName": "string", "organizationType": "string", "slug": "string", "logo": "string", "city": "string", "role": "string" } ]}Empty
Empty
List pending join requests GET
List all pending join requests for the current organization. Only organization owners can view these. Available to both labs and clinics.
List current user's pending join requests GET
List all pending join requests submitted by the current user. Used for the org picker page.